# DataExchange
TKSTEPBase
StepGeom

# StepGeom_RationalBSplineCurve Class Reference

`#include <StepGeom_RationalBSplineCurve.hxx>`

Inheritance diagram for StepGeom_RationalBSplineCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_RationalBSplineCurve ()
| Returns a RationalBSplineCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect, const Handle(TColStd_HArray1OfReal)&aWeightsData)
Standard_EXPORT void | SetWeightsData (const Handle(TColStd_HArray1OfReal)&aWeightsData)
Standard_EXPORT Handle_TColStd_HArray1OfReal | WeightsData () const
Standard_EXPORT Standard_Real | WeightsDataValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbWeightsData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HArray1OfReal | weightsData

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_RationalBSplineCurve::StepGeom_RationalBSplineCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_RationalBSplineCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BSplineCurve.

virtual Standard_EXPORT void StepGeom_RationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(TColStd_HArray1OfReal)& | aWeightsData
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_RationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect
| ) | `[virtual]`

| Reimplemented from StepGeom_BSplineCurve.

Standard_EXPORT Standard_Integer StepGeom_RationalBSplineCurve::NbWeightsData | ( |  | ) | const

Standard_EXPORT void StepGeom_RationalBSplineCurve::SetWeightsData | ( | const Handle(TColStd_HArray1OfReal)& | aWeightsData | ) |

Standard_EXPORT Handle_TColStd_HArray1OfReal StepGeom_RationalBSplineCurve::WeightsData | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_RationalBSplineCurve::WeightsDataValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_TColStd_HArray1OfReal StepGeom_RationalBSplineCurve::weightsData `[private]`

The documentation for this class was generated from the following file:

- StepGeom_RationalBSplineCurve.hxx